Apche dont start

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Apche dont start

Postby Hitwalker » 06. September 2016 15:24

Hi
The new xampp-linux-x64-7.0.9-0-installer.run
Apche don't work on that one
I run Linux mint 18
Any clue why it don't start?
Hitwalker
 
Posts: 11
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18

Re: Apche dont start

Postby Hitwalker » 07. September 2016 06:29

Now i have done some othere test

I install xampp-linux-x64-5.6.24-0-installer.run and same as xampp-linux-x64-7.0.9-0-installer.run apache don't start
Now i did reinstall the old xampp-linux-x64-7.0.8-0-installer.run works perfect so something with the new apache must it be
Hitwalker
 
Posts: 11
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18

Re: Apche dont start

Postby Hitwalker » 07. September 2016 08:52

Must say it......... This must be the best support site ever :roll:

I did solve my problem solution is

Open terminal and put in this
Code: Select all
sudo geany /opt/lampp/etc/httpd.conf


And find
Code: Select all
LoadModule ssl_module modules/mod_ssl.so


and commit out like this
Code: Select all
#LoadModule ssl_module modules/mod_ssl.so


Restart Apache

Now port 80 works dont know how to solve it with ssl :!:
Hitwalker
 
Posts: 11
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18

Re: Apche dont start

Postby leo_maramis » 07. September 2016 09:04

Missing modules/mod_ssl.so during build process, please rebuild and upload. Thanks.
leo_maramis
 
Posts: 1
Joined: 07. September 2016 09:02
XAMPP version: 5.6.24
Operating System: Ubuntu 16.04 LTS

Re: Apche dont start

Postby Altrea » 07. September 2016 21:56

Hitwalker wrote:Must say it......... This must be the best support site ever :roll:

Did you pay for the software?
Did you pay for the support?
Do we have any SLAs here?
Do we need to provide support here?

The answer for all of these questions is no.
This is a volunteer support board. We are normal users like you. We are spending a part of our free time here trying to solve problems of others for free.
All of our helpers do have own jobs, families, friends, hobbies and they spend a part of their free time to help users solving their issues.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8294
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Apche dont start

Postby Nobbie » 07. September 2016 23:01

Hitwalker wrote:Must say it......... This must be the best support site ever :roll:


As always: you get what you paid for. How much was it? Probably more than ever :roll:

And even more, i already answered the same question a couple of days before, it is your personal problem when you are to lazy to search properly.

See
viewtopic.php?f=17&t=74573

But your socalled description is a poor pain compared to the thread above.
Nobbie
 
Posts: 8772
Joined: 09. March 2008 13:04

Re: Apache dont start [Half Solved]

Postby Hitwalker » 08. September 2016 06:12

Wonder why call this site Apache Friends Support Forum :roll:
And were can i pay for support and were do i pay for software.... :?:
Just think before you awnser questions :evil:

Just ask a lot of dumb questions Did you pay ..instead to help users
And if Altrea had done the job as mod so had it been easier to find the solution
and naild every important info
Maybe a announcement in top :wink:
And
Nobbie

I did search before i did ask and did not find the awnser.... if i had find your awnser so do think i had wonder why Apache dont start after a new install?
Hitwalker
 
Posts: 11
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18

Re: Apche dont start

Postby tasso85 » 08. September 2016 09:16

Hitwalker wrote:Now i have done some othere test

I install xampp-linux-x64-5.6.24-0-installer.run and same as xampp-linux-x64-7.0.9-0-installer.run apache don't start
Now i did reinstall the old xampp-linux-x64-7.0.8-0-installer.run works perfect so something with the new apache must it be


Yeah, whoever makes the packages must have made some dumb mistake, and somehow forgot to include the ssl module for apache, which is enabled by default in the config file.

If you use 5.6.23 or 7.0.8 instead, it'll work out of the box, or you can just comment the module activation in the config file as you did.
tasso85
 
Posts: 8
Joined: 16. May 2016 11:19
XAMPP version: 7.0.5
Operating System: Centos 7 64bit


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests